Subject: Re: [PATCH bpf v2 1/3] bpf: don't assume build-id length is always 20 bytes

From: Stanislav Fomichev <[email-masked]>
Date: Wed, 16 Jan 2019 14:01:30 -0800

On 01/16, Daniel Borkmann wrote:
> On 01/16/2019 07:11 PM, Stanislav Fomichev wrote:
> > Build-id length is not fixed to 20, it can be (`man ld` /--build-id):
> >   * 128-bit (uuid)
> >   * 160-bit (sha1)
> >   * any length specified in ld --build-id=0xhexstring
> > 
> > To fix the issue of missing BPF_STACK_BUILD_ID_VALID for shorter build-ids,
> > assume that build-id is somewhere in the range of 1 .. 20.
> > Set the remaining bytes to zero.
> > 
> > v2:
> > * don't introduce new "len = min(BPF_BUILD_ID_SIZE, nhdr->n_descsz)",
> >   we already know that nhdr->n_descsz <= BPF_BUILD_ID_SIZE if we enter
> >   this 'if' condition
> > 
> > Fixes: 615755a77b24 ("bpf: extend stackmap to save binary_build_id+offset instead of address")
> > Signed-off-by: Stanislav Fomichev <[email-masked]>
> 
> Hmm, looks like rest of the v2 series didn't make it to the list.
> Please double check; just in case simply resend the full v2 set so
> it properly ends up in patchwork.
Oh, I didn't send the first two patches because I didn't change them, I'll
resend full v2 series in a moment.
> Thanks,
> Daniel